org.codehaus.plexus

## Interface PlexusContainerManager

All Known Implementing Classes:
  SimplePlexusContainerManager

    public interface PlexusContainerManager

`PlexusContainerManager` defines the interface for Plexus components that can create and manage Plexus containers. An implementation of this interface will configure and create Plexus containers according to some policy that the component defines; for example, a container factory might create a Plexus container for each JAR file that exists in a given directory.

Version:
  $Revision: 1323 $
Author:
  Mark Wilkinson

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`PlexusContainer[]` `getManagedContainers()`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### getManagedContainers

    PlexusContainer[] getManagedContainers()